import request from '@/utils/request'

// 同步人员数据
export function syncStaff() {
  return request({
    url: '/training/worklicensecertificate/syncStaff',
    method: 'get'
  })
}

// 查询上岗证/作业证书一览列表
export function listWorklicensecertificate(query) {
  return request({
    url: '/training/worklicensecertificate/list',
    method: 'get',
    params: query
  })
}

// 查询上岗证/作业证书一览详细
export function getWorklicensecertificate(id) {
  return request({
    url: '/training/worklicensecertificate/' + id,
    method: 'get'
  })
}

// 新增上岗证/作业证书一览
export function addWorklicensecertificate(data) {
  return request({
    url: '/training/worklicensecertificate',
    method: 'post',
    data: data
  })
}

// 修改上岗证/作业证书一览
export function updateWorklicensecertificate(data) {
  return request({
    url: '/training/worklicensecertificate',
    method: 'put',
    data: data
  })
}

// 删除上岗证/作业证书一览
export function delWorklicensecertificate(id) {
  return request({
    url: '/training/worklicensecertificate/' + id,
    method: 'delete'
  })
}

// 导出上岗证/作业证书一览
export function exportWorklicensecertificate(query) {
  return request({
    url: '/training/worklicensecertificate/export',
    method: 'get',
    params: query
  })
}
